%bcond_without full

Summary: GNOME Frontend for MPlayer
Name: gnome-mplayer
Version: 0.9.9.2
Release: 9%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://kdekorte.googlepages.com/gnomemplayer
Source0: http://gnome-mplayer.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:  gnome-mplayer-0.9.9.2-dso.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++, pkgconfig >= 0.9.0, gettext
BuildRequires: alsa-lib-devel
BuildRequires: GConf2-devel, gtk2-devel
BuildRequires: dbus-devel, dbus-glib-devel 
BuildRequires: gnome-power-manager
BuildRequires: libgpod-devel
%if %{with full}
BuildRequires: libcurl-devel
BuildRequires: libmusicbrainz3-devel
BuildRequires: libnotify-devel
BuildRequires: nautilus-devel
BuildRequires: pulseaudio
%endif
Requires: mplayer
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires: hicolor-icon-theme

%description
GNOME MPlayer is a simple GUI for MPlayer. It is intended to be a nice
tight player and provide a simple and clean interface to
MPlayer. GNOME MPlayer has a rich API that is exposed via DBus. Using
DBus you can control a single or multiple instances of GNOME MPlayer
from a single command.

The player can be used to play media on websites when used with Gecko
Mediaplayer.

%prep
%setup -q
%patch0 -p1 -b .dso

%build
%configure \
%if %{without full}
    --without-libnotify \
    --without-libmusicbrainz3 \
    --disable-nautilus
%endif

make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} \
  gnome_mplayerdocdir=%{_defaultdocdir}/%{name}-%{version}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
if [ "$1" -eq 0 ] ; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
  killall -HUP gconfd-2 > /dev/null || :
fi

%pre
if [ "$1" -gt 1 ] ; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
  killall -HUP gconfd-2 > /dev/null || :
fi

%postun
update-desktop-database &> /dev/null || :

%post
update-desktop-database &> /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 > /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog README DOCS/*.txt DOCS/tech/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/gnome-control-center/default-apps/gnome-mplayer.xml
%{_mandir}/man1/gnome-mplayer.1*
%{_sysconfdir}/gconf/schemas/gnome-mplayer.schemas
%{?with_full:%{_libdir}/nautilus/extensions-2.0/libgnome-mplayer-properties-page.so}

%changelog
* Wed May 26 2010 Paulo Roma <roma@lcg.ufrj.br> - 0.9.9.2-9
- Applied dso patch.

* Sat Mar 20 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.9.2-8
- Update to 0.9.9.2.

* Sat Nov 15 2009 Paulo Roma <roma@lcg.ufrj.br> - 0.9.8-7
- Created gcc4 and gtk patches for rhel5.
- Defined %%bcond_without full.
- Added missing BRs.

* Sat Nov 14 2009 Paulo Roma <roma@lcg.ufrj.br> - 0.9.8-6
- Update to 0.9.8
- Removed patch0.
- Added libgnome-mplayer-properties-page.so
- Fixed typo in %%clean ($ for %%).
- Removed empty files from doc.
- Fixed URL.

* Fri Sep  4 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.8-5_r1528
- Update to 0.9.7 plus svn fixes up to pending 0.9.8.

* Mon Nov 24 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.2-4
- Update to 0.9.2.

* Sun Nov 16 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.1-3
- Update to 0.9.1.

* Thu Oct  2 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.8.0-2
- Update to 0.8.0.

* Sun Aug 10 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.6.3-1
- First ATrpms release, based on internal specfile.

